Subject: Re: bug#1806: dired-pop-to-buffer in wrong place

From: Stefan Monnier <[email-masked]>
Date: Mon, 18 May 2009 22:04:13 -0400

>       (if (or (one-window-p t) (not (window-full-width-p)))
>           ;; Don't mess with the window size, but ensure that the first
>           ;; line is fully visible.
>           (set-window-vscroll nil 0)
>         ;; Adjust the window to exactly fit the displayed calendar.
>         (fit-window-to-buffer nil nil calendar-minimum-window-height))

> Removing (not (window-full-width-p)) fixes this, but I don't know if this
> change has some side effect.

Often (not (window-full-width-p)) is used as a round-about and confusing
way to check whether resizing is safe (in the sense that it doesn't
risk deleting other windows along the way).  In such cases, it is
preferable to use window-safely-shrinkable-p, which is also
less conservative.

        Stefan